| Home | Libraries | People | FAQ | More

## Struct callable

boost::proto::callable — Base class for callable PolymorphicFunctionObjects

## Synopsis

    // In header: <boost/proto/proto_fwd.hpp>

    struct callable {
    };

## Description

When defining a callable PolymorphicFunctionObject, inherit from `proto::callable` so that it can be used to create a CallableTransform.

`proto::is_callable<T>::value` is `true` for types that inherit from `proto::callable`.